/* General Styles */
body {
    font-family: 'Arial', sans-serif;
    margin: 0;
    padding: 0;
    text-align: center;

    color: #000;
    background-color: white;

    max-width: 1313px;
    margin: 0 auto;
}

*{
    user-select: none;
}

h2 {
    padding-top: 50px;
    font-size: 5rem;
    margin-bottom: 2rem;
}


#Contact-H2 {
    padding-top: 0px;
}


p {
    font-size: 1rem;
    line-height: 1.5;
}



/* Header */
.hero {
  position: relative;
  overflow: visible; /* Permette all'immagine di sporgere fuori */
  height: 792px; /* o il valore che preferisci */
  background-size: cover;
  background-attachment: fixed;
}


nav ul {
    list-style: none;
    padding: 0;
    display: flex;
    justify-content: center;
    gap: 20px;
}

nav ul li {
    display: inline;
}

nav ul li a {
    text-decoration: none;
    color: white;
    font-size: 1rem;
}

/* Sections */
.section {
    margin: 0 auto;
    margin-bottom: 20px;
    min-height:100vh;
    max-height: fit-content;
    padding-top: 30px;
    margin-top: -242px;
    top: 0;
    z-index: 2;
    padding-top: 360px;
    padding-left: 30px;
}


section {
  position: relative;
  z-index: 2;       /* Maggiore di #letters e dello sfondo */
  margin-top: -50px; /* Regola questo valore per farla sovrapporre come desideri */
}

.features-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    gap: 20px;
    margin-top: 40px;
}

.feature{
    flex: 1 1 calc(33% - 20px);
    text-align: left;
    padding: 50px 20px;
}

#hero-text{
    flex: 1 1 calc(33% - 20px);
    text-align: left;
    padding-top: 78px;
    padding-left: 30px;
}


h1{
    font-size: 66px;
    text-align: left;

}

h6 {
    color: grey;
    text-align: left;
}


#logo1 {

    width: 90.3%;
    border-radius: 50px;
}



#logo1bg {

    margin-top: -140.6px;
}




#little-text{

    color: grey;
    font-size: 15px;
    margin-top: 8.6px;
    padding-left: 4.1px;
    font-style: italic;
}







.icon {
    font-size: 2rem;
    display: block;
    margin-bottom: 10px;
}



button {
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}



label {
    display: block;
    margin-bottom: 8px;
    color: #4a5568;
    font-size: 16px;
}

.required {
    color: #e53e3e;
}

input, textarea {
    width: 100%;
    padding: 12px;
    border: 1px solid #e2e8f0;
    border-radius: 6px;
    font-size: 16px;
    background-color: #fff;
}

input::placeholder, textarea::placeholder {
    color: #a0aec0;
}

textarea {
    min-height: 120px;
    resize: vertical;
}



/* Responsive Design */
@media (max-width: 768px) {

    .form-grid {
        grid-template-columns: 1fr;
    }

    .features-container{
        flex-direction: column;
    }
    .feature{
        flex: 1 1 100%;
    }
    nav ul {
        flex-direction: column;
    }

    #hero-text{
        text-align: center;
        padding-top: 100px !important;
    }

    h1{
        margin-top: -290px;
    }

    #azure-text{
        padding-top: 33px;
        padding-bottom: 33px;
        font-size: 30px;
    }

    .section{
        margin-top: 62.4px;
    }

    #contact{

        padding-top: 21px !important;
        margin-top: 0px !important;
        margin-left: -75px;
    }

    #second-text {
        display: none;
    }

    #logo1 {

        width: 90%px;
        padding-left: 60px;
    }


    #logo1bg {

        margin-top: -28.6px;
        background-color: black;
        margin-left: -30px;
    }

    #AR1-div {
        display: block !important;
    }

    #AR2-div {
        display: none;
    }

    #AR3-div {
        display: none !important;
    }

}

@media (min-width: 769px) and (max-width: 1305px) {
    #AR3-div {
        display: block !important;
    }
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.navbar {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 15px 20px;
    background-color: rgba(0, 0, 0, 0.7);
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
    z-index: 3;
    flex-direction: row;
    backdrop-filter: blur(10px);
    border-bottom: 1px solid #ddd;
    padding-bottom: 10px;
}

.nav-links {
    display: flex;
    gap: 50px;
    flex-grow: 1;
}

.nav-links a {
    text-decoration: none;
    color: black;
    font-weight: 500;
    transition: color 0.3s ease;
}

.nav-links a:hover {
    color: #00ccff;
}

.contact-btn {
    padding: 10px 20px;
    background-color: #00ccff;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}



@media screen and (max-width: 561px) {
    .navbar {
        flex-direction: row;
        backdrop-filter: blur(10px);
        background-color: rgba(0, 0, 0, 0.7);
        border-bottom: 1px solid #ddd;
        padding-bottom: 10px;
    }
    
    .nav-links {
        display: none;
    }
    
    .contact-btn {
        margin-left: auto;
    }

    #contact{
        padding-top: 21px !important;
    }

    #logo2bg{
        display: none;
    }
}


@media screen and (max-width: 640px) {

    .hero{
        height: 735px;
    }
}


@media screen and (max-width: 916px) {

    #imglogo{
        width: 80% !important;
    }

    #hero-text{
        padding-top: 30px;
    }

}

@media screen and (max-width: 460px) {

    .hero, #contact{
        height: 660px;
    }
}


#pbt{

    background-color: white;
    color: black;
}

.navbar-button{

    margin-right: 5px;
    background-color: rgba(0, 0, 0, 0);
    color: white;
    border-radius: 9px;
    cursor: pointer;
    transition: border-color 0.1s ease, background-color 0.1s ease;
}


#bt-div:hover{

    background: black;
    color: white;

}

.navbar-button:hover {

    background-color: white;
    color: black;
}



#logo{
    max-height: 50px;
    margin-right: 20px;
}


#imglogo{

    width: 499px;
    padding-left: 21px;

}


@media screen and (max-width: 1305px) {

    #AR2-div {
        display: none;
    }
}



.form-container {
    max-width: 800px;
}

.form-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
}

.form-group {
    background: whitesmoke;
    padding: 20px;
    border-radius: 8px;
}

.form-group.full-width {
    grid-column: 1 / -1;
}


.newsletter-button{

    margin-top: 24px;
    color: white;
    border: 2px solid #00ccff;
    background-color: #00ccff;
    border-radius: 5px;
    cursor: pointer;
    transition: border-color 0.1s ease, background-color 0.1s ease;
    width: 85%;
    font-size: 21px;
}


.newsletter-button:hover{
    
    border-color: #00ccff;
    background-color: white;
    color: black;
}


#contact {

    text-align: left;
    margin-top: -500px;
    margin-left: 0px;
}




#AR1-div {
    display: none;
    text-align: center;
}

#AR2-div {
    background-image: url('imgs/12463.png') !important;
    background: no-repeat;
    text-align: center;

    margin-top: 125px;
    width: 648px;
}

#AR3-div {
    background-image: url('imgs/12463.png') !important;
    background: no-repeat;
    text-align: center;

    margin-top: 155px;
    width: 668px;
    margin-left: 111px;
}

#AR3-div {
    display: none;
}


#AR-logo {
    color: white;
    margin-top: -150px;
}

#AR2-logo {
    color: white;

    font-size: 2.8rem;
    margin-left: -115px;
    padding-top: 66px;
}


#AR-button {
    margin-top: 24px;
    color: black;
    border: 2px solid white;
    background-color: white;
    border-radius: 135px;
    cursor: pointer;
    transition: border-color 0.1s ease, background-color 0.1s ease;
    width: 300px;
    font-size: 33px;
    margin-bottom: 60px;
}

#AR-button:hover{
    
    border-color: white;
    background-color: black;
    color: white;
}


#AR2-button {
    margin-top: 33.9px;
    color: black;
    border: 2px solid white;
    background-color: white;
    border-radius: 135px;
    cursor: pointer;
    transition: border-color 0.1s ease, background-color 0.1s ease;
    width: 300px;
    font-size: 33px;
    margin-bottom: 150px;
    margin-left: -150px;
}

#centra-div {
    display: flex;
    flex-direction: column;
    align-items: center;
}


